package com.syc.slm.slmbi.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author: guangyi-liang
 * @date: 2021/5/7
 */
@Configuration
@Data
public class DataCenterConfig {

    @Value("${dc_client.host}")
    private  String dcClientHost;

    @Value("${dc_client.interfaces.permissionCodeUrl}")
    private  String permissionCodeUrl;

    @Value("${dc_client.interfaces.companyAppId}")
    private  String companyAppId;

    @Value("${dc_client.interfaces.positionListUrl}")
    private  String positionListUrl;
    @Value("${dc_client.interfaces.deptListUrl}")
    private  String deptListUrl;
    @Value("${dc_client.interfaces.userTree}")
    private  String userTree;
    @Value("${dc_client.interfaces.variableList}")
    private  String variableList;
    @Value("${dc_client.interfaces.deviceList}")
    private  String deviceList;

    @Value("${dc_client.interfaces.deptsRoles}")
    private  String deptsRoles;

    @Value("${dc_client.interfaces.businessFiledData}")
    private  String businessFiledData;

    @Value("${dc_client.interfaces.businessDataFieldStatistics}")
    private  String businessDataFieldStatistics;

    @Value("${dc_client.interfaces.variableCodeHistoryList}")
    private  String variableHistoryDataList;
    @Value("${dc_client.interfaces.variableAllDataList}")
    private  String variableRealTimeDataList;
    @Value("${dc_client.interfaces.filedValue}")
    private  String filedValue;
    @Value("${dc_client.interfaces.send}")
    private  String send;
    @Value("${dc_client.interfaces.variableStatus}")
    private  String variableStatus;

    @Value("${dc_client.interfaces.variableHistoryStatus}")
    private  String variableHistoryStatus;

    @Value("${dc_client.interfaces.realTimeVariableDataList}")
    private  String realTimeVariableDataList;

    @Value("${dc_client.interfaces.variableStatusRealTimeDataList}")
    private  String variableStatusRealTimeDataList;

}
