package com.syc.slm.slmbi.dao;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.syc.slm.slmbi.entity.InstrumentPanelDraft;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Set;

/**
 * 仪表板草稿
 *
 * @author lin
 * @date 2021-04-01 10:52:44
 */
@Component
public interface InstrumentPanelDraftMapper extends BaseMapper<InstrumentPanelDraft> {

    List<InstrumentPanelDraft> selectDraftList(@Param("appId") String appId,@Param("panelIds") Set<String> panelIds, @Param("officeIds") String officeIds, @Param(
        "userId") String userId, @Param("roleId") String roleId);

    /**
     * 超级管理员查询本租户下的发布面板
     * @param appId 相当于租户ID
     * @param panelIds 面板Id
     * @return 发布的仪表盘
     */
    List<InstrumentPanelDraft> selectDraftListByAdmin(@Param("appId") String appId,@Param("panelIds") Set<String> panelIds);
}
